package com.ruoyi.factory.service;

import java.util.List;
import com.ruoyi.factory.domain.CFactory;

/**
 * 车间管理Service接口
 *
 * @author ruoyi
 * @date 2024-02-29
 */
public interface ICFactoryService
{
    /**
     * 查询车间管理
     *
     * @param factoryId 车间管理主键
     * @return 车间管理
     */
    public CFactory selectCFactoryByFactoryId(Long factoryId);

    /**
     * 查询车间管理列表
     *
     * @param cFactory 车间管理
     * @return 车间管理集合
     */
    public List<CFactory> selectCFactoryList(CFactory cFactory);

    /**
     * 新增车间管理
     *
     * @param cFactory 车间管理
     * @return 结果
     */
    public int insertCFactory(CFactory cFactory);

    /**
     * 修改车间管理
     *
     * @param cFactory 车间管理
     * @return 结果
     */
    public int updateCFactory(CFactory cFactory);

    /**
     * 批量删除车间管理
     *
     * @param factoryIds 需要删除的车间管理主键集合
     * @return 结果
     */
    public int deleteCFactoryByFactoryIds(Long[] factoryIds);

    /**
     * 删除车间管理信息
     *
     * @param factoryId 车间管理主键
     * @return 结果
     */
    public int deleteCFactoryByFactoryId(Long factoryId);

    Object selectCTypelist();

    /**
     * 校验车间编码是否存在
     * @param cFactory
     * @return
     */
    boolean checkFactoryNoUnique(CFactory cFactory);
}
